
/* The first row of pairwise alignment a1 and the first row of multiple
*  alignment a2 include positions beg1-end1 of a2's ref-sequence.  The second
*  row of a1 and the first row of multiple alignment a3 include positions
*  begN-endN of a3's ref-sequence.  Positions beg1 and begN must be aligned by
*  a1, as must end1 and endN.  Pre_yama aligns columns of a2 corresponding to
*  positions beg1-end1 to the columns of a3 corresponding to positions
   begN-endN, using a1 to determine an approximation to the result.
*/
struct mafAli *pre_yama(struct mafAli *a1, struct mafAli *a2,
  struct mafAli *a3, int beg1, int end1, int begN, int endN, int radius);
